import request from '@/utils/request'
//表格
export function tableList(query) {
  return request({
    url: '/project/naodu/getNaodu',
    method: 'get',
    params: query
  })
}

//设备下拉
export function searchSb(params) {
  return request({
    url: '/project/equipment/getNameByType',
    method: 'post',
	params,
  })
}

//图表
export function reqChart(params) {
  return request({
    url: '/project/naodu/getCurve',
    method: 'post',
	params,
  })
}
//沉降24小时图表
export function hoursChart(params) {
  return request({
    url: '/project/chenjiang/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//倾斜度24小时图表
export function qxdhoursChart(params) {
  return request({
    url: '/project/qingxiedu/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//挠度24小时图表
export function ndhoursChart(params) {
  return request({
    url: '/project/naodu/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//裂缝24小时图表
export function lfhoursChart(params) {
  return request({
    url: '/project/liefeng/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//温湿度监测
export function wsdhoursChart(params) {
  return request({
    url: '/project/wenshidu/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//风速监测
export function fshoursChart(params) {
  return request({
    url: '/project/fengxiangfengsu/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//结构温度监测
export function jgwdhoursChart(params) {
  return request({
    url: '/project/jiegouwendu/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//腐蚀度监测
export function fsdhoursChart(params) {
  return request({
    url: '/project/fushidu/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//振动监测
export function zdhoursChart(params) {
  return request({
    url:'/project/zhendong/getCurveIn24hour',
    method: 'post',
	params,
  })
}

//混凝土监测
export function hnthoursChart(params) {
  return request({
    url:'/project/biaomianyingbian/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//索力监测
export function slhoursChart(params) {
  return request({
    url:'/project/suoli/getCurveIn24hour',
    method: 'post',
	params,
  })
}
//报警
export function bjhoursChart(params) {
  return request({
    url:'/project/alarmEquipment/getAlarmCount',
    method: 'post',
	params,
  })
}
